Subject: Likely bug in scm_port_poll
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Wed, 17 Jul 2019 15:25:15 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I sent the following message about a month ago, and now am forwarding to
bug-guile so that we do not forget about it.

       Mark

From: Mark H Weaver <[email-masked]>
Subject: Likely bug in scm_port_poll
Date: Tue, 18 Jun 2019 00:40:27 -0400
Message-ID: <[email-masked]>
Cc: [email-masked]
To: Andy Wingo <[email-masked]>

Hi Andy,

If you'd be willing to take a quick look at this, I'd be grateful.
Probably a bug, but I feel uneasy that I might be overlooking something.

scm_port_poll contains the following code:

  if (scm_i_string_contains_char (events, 'r'))
    c_events |= POLLIN;
  if (scm_i_string_contains_char (events, '!'))
    c_events |= POLLPRI;
  if (scm_i_string_contains_char (events, 'w'))
    c_events |= POLLIN;

That second POLLIN should be POLLOUT, right?

      Thanks,
        Mark

https://git.savannah.gnu.org/cgit/guile.git/tree/libguile/ports.c?h=stable-2.2&id=420c2632bb1f48e492a035c1d216f209734f45e6#n1423